Subject: Re: Several questions about RSVP

From: [email-masked]
Date: 3 Jul 2000 02:41:59 -0700

Hi,

> I hope some one can help me.
> 
> I have some questions about RSVP-TE on
> "draft-ietf-mpls-rsvp-lsp-tunnel-05.txt":
> 
> 1. On page 18, section 4.2
>     "L3PID an identifier of the layer 3 protocal using this path.
>      Standard Ethertype values are used"
>    My question is where I can find out these Standard Ethertype values on
>    the layer 3 protocal ?

Read RFC1700.

> 2. On page 21, line 8, section 4.2.1,
>         "The LABEL_REQUEST SHOULD be stored in the Path State Block", to
> this, my consideration is that the LRO SHOULD be stored in the Path State
> Block in the intermediate nodes, not ingress node and egress node.

Even If I go by your thought as well, LRO should be stored in the
PSB of the egress node as well.

Strictly my opinion.

Regards,
Navin

>         But there is another possible: the LRO is stored in all nodes
> including ingress and egress node. Which one is correct or there is
> another explaination?
> 
> 
> 3. on page 48, line 16, section 5.3
> 
>         "On receipt of a message containing a HELLO REQUEST object, the
>    receiver MUST generate a Hello message containing a HELLO ACK object"
> 
>         "The receiver SHOULD also verify that the neighbor has not reset.
>    This is done by comparing the sender's Src_Instance field value with
>    the previously received value.  If the value differs, then a node
>    MUST treat the neighbor as if communication has been lost."
> 
>  my confused is about "the previously received value": if the receiver
>  received a message containing a HRO first time(no previously
>  received value), then the value should be difference(I guess), then the
>  communication has been lost at the first time by the explaination of
>  draft. It seems that establishing communication is not possible. But it
>  is possible. The question is how they can do it.
> 
> 
> Thanks
> 
> 
> Jie Zou
> 
> 
> -------------------
> MPLS Consortium
> IOL, UNH
> -------------------

---

From: Jie Zou <[email-masked]>
Date: Wed, 5 Jul 2000 13:12:37 -0400

Hi Navin,

Thanks for your help.

I have another questions for the answer:

1. for the first question, I searched the RFC1700 and found the ethertype
value for IPv4(2048,decimal). I am wondering if there is a value for the
IPv4 or ARP? Is there other Layer 3 protocals ?

2. For the second question, is there some reference for the answer?

Thanks.

Sincerely,

Jie Zou